import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { C as CreateDraftOrderResponse, a as CreateDraftOrderResponseNonNullableFields, b as CreateEmptyDraftOrderResponse, c as CreateEmptyDraftOrderResponseNonNullableFields, A as AddLineItemsToDraftOrderOptions, d as AddLineItemsToDraftOrderResponse, e as AddLineItemsToDraftOrderResponseNonNullableFields, U as UpdateLineItemsOptions, f as UpdateLineItemsResponse, g as UpdateLineItemsResponseNonNullableFields, I as IdAndApplied, S as SetDiscountsResponse, h as SetDiscountsResponseNonNullableFields, i as CreateCustomDiscountsOptions, j as CreateCustomDiscountsResponse, k as CreateCustomDiscountsResponseNonNullableFields, D as DeleteCustomDiscountsResponse, l as DeleteCustomDiscountsResponseNonNullableFields, m as SetAdditionalFeesResponse, n as SetAdditionalFeesResponseNonNullableFields, o as CreateCustomAdditionalFeesOptions, p as CreateCustomAdditionalFeesResponse, q as CreateCustomAdditionalFeesResponseNonNullableFields, r as DeleteCustomAdditionalFeesResponse, s as DeleteCustomAdditionalFeesResponseNonNullableFields, G as GetDraftOrderResponse, t as GetDraftOrderResponseNonNullableFields, u as GetOrderDraftabilityStatusResponse, v as GetOrderDraftabilityStatusResponseNonNullableFields, w as CommitDraftOrderOptions, x as CommitDraftOrderResponse, y as CommitDraftOrderResponseNonNullableFields, z as DraftOrdersQueryBuilder } from './ecom-v1-draft-order-draft-orders.universal-CWd2OTQC.js';
export { dw as ActionEvent, c9 as Activity, ca as ActivityContentOneOf, a1 as ActivityType, bI as AddLineItemsToDraftOrderRequest, aU as AdditionalFee, aT as AdditionalFeeDetails, bV as AdditionalFeeOption, aG as Address, aI as AddressLocation, aF as AddressWithContact, bB as ApplicationError, aX as AppliedDiscount, aY as AppliedDiscountDiscountSourceOneOf, L as AppliedDiscountDiscountType, a2 as AttributionSource, cx as AuthorizedPaymentCaptured, cw as AuthorizedPaymentCreated, cy as AuthorizedPaymentVoided, b8 as Balance, b7 as BalanceSummary, bl as BillingChangedDetails, bj as BillingDetails, bk as BillingDetailsChangeTypeOneOf, bp as BusinessLocationChangedDetails, bm as BusinessLocationDetails, bn as BusinessLocationDetailsChangeTypeOneOf, bi as BuyerChangedDetails, bg as BuyerDetails, bh as BuyerDetailsChangeTypeOneOf, aR as BuyerInfo, aS as BuyerInfoIdOneOf, br as CalculatedDraftOrder, bx as CalculationErrors, by as CalculationErrorsShippingCalculationErrorOneOf, bG as CarrierError, bF as CarrierErrors, ad as CatalogReference, bJ as CatalogReferenceLineItem, cZ as ChannelInfo, a3 as ChannelType, aj as Color, c7 as CommitDraftOrderRequest, aZ as Coupon, bU as CreateCustomAdditionalFeesRequest, bP as CreateCustomDiscountsRequest, bq as CreateDraftOrderRequest, bH as CreateEmptyDraftOrderRequest, d3 as CreateOrderFromDraftRequest, d6 as CreateOrderFromDraftResponse, dE as CreateOrderFromDraftResponseNonNullableFields, b3 as CreatedBy, b4 as CreatedByStringOneOf, cM as CreditCardDetails, dd as CursorPaging, df as CursorPagingMetadata, da as CursorQuery, db as CursorQueryPagingMethodOneOf, dg as Cursors, cb as CustomActivity, c_ as CustomField, bK as CustomLineItem, bW as DeleteCustomAdditionalFeesRequest, bS as DeleteCustomDiscountsRequest, d7 as DeleteDraftOrderRequest, d8 as DeleteDraftOrderResponse, bt as DeliveryLogistics, bv as DeliveryTimeSlot, ae as DescriptionLine, ag as DescriptionLineDescriptionLineValueOneOf, ah as DescriptionLineName, B as DescriptionLineType, af as DescriptionLineValueOneOf, bz as Details, bA as DetailsKindOneOf, ar as DigitalFile, aW as DiscountDetails, bQ as DiscountOption, bR as DiscountOptionDiscountAmountOneOf, M as DiscountReason, b0 as DiscountRule, b1 as DiscountRuleName, X as DiscountType, dq as DomainEvent, dr as DomainEventBodyOneOf, a6 as DraftOrder, ch as DraftOrderChangesApplied, b9 as DraftOrderCommitSettings, dI as DraftOrdersQueryResult, N as EditingStatus, ds as EntityCreatedEvent, dv as EntityDeletedEvent, du as EntityUpdatedEvent, ay as ExtendedFields, cU as ExternalReceipt, bD as FieldViolation, Q as FileType, ak as FocalPoint, au as FreeTrialPeriod, _ as FulfillmentStatus, d0 as FulfillmentStatusesAggregate, aJ as FullAddressContactDetails, dl as GetDraftEditabilityStatusRequest, dm as GetDraftEditabilityStatusResponse, c5 as GetDraftOrderRequest, c6 as GetOrderDraftabilityStatusRequest, cD as GiftCardPaymentRefund, dy as IdentificationData, dz as IdentificationDataIdOneOf, ba as InventoryUpdate, az as ItemChangedDetails, a7 as ItemDetails, a8 as ItemDetailsChangeTypeOneOf, ao as ItemTaxFullDetails, am as ItemType, E as ItemTypeItemType, an as ItemTypeItemTypeDataOneOf, J as JurisdictionType, cq as LineItemAmount, bN as LineItemChangeDetails, ck as LineItemChanges, b2 as LineItemDiscount, cg as LineItemExchangeData, cm as LineItemPriceChange, cl as LineItemQuantityChange, a0 as LineItemQuantityChangeType, aq as LineItemTaxBreakdown, ap as LineItemTaxInfo, bo as Location, av as LocationAndQuantity, cr as ManagedAdditionalFee, co as ManagedDiscount, cn as ManagedLineItem, cE as MembershipPaymentRefund, cc as MerchantComment, a_ as MerchantDiscount, a$ as MerchantDiscountMerchantDiscountReasonOneOf, dx as MessageEnvelope, cf as NewExchangeOrderCreated, Y as NonDraftableReason, c8 as Order, ci as OrderChange, cj as OrderChangeValueOneOf, d5 as OrderCreateNotifications, d4 as OrderCreateSettings, ce as OrderCreatedFromExchange, ab as OrderLineItem, cd as OrderRefunded, $ as OrderStatus, bf as OrderTaxBreakdown, be as OrderTaxInfo, cN as PaymentCanceled, cO as PaymentCanceledPaymentDetailsOneOf, cP as PaymentDeclined, cQ as PaymentDeclinedPaymentDetailsOneOf, P as PaymentOptionType, cI as PaymentPending, cJ as PaymentPendingPaymentDetailsOneOf, cG as PaymentRefundFailed, cF as PaymentRefunded, Z as PaymentStatus, al as PhysicalProperties, aM as PickupAddress, bu as PickupDetails, H as PickupDetailsPickupMethod, O as PickupMethod, ai as PlainTextValue, a9 as Price, aa as PriceDescription, b5 as PriceSummary, ac as ProductName, d9 as QueryDraftOrdersRequest, de as QueryDraftOrdersResponse, dF as QueryDraftOrdersResponseNonNullableFields, cR as ReceiptCreated, cS as ReceiptCreatedReceiptInfoOneOf, cV as ReceiptSent, cW as ReceiptSentReceiptInfoOneOf, bd as RecipientInfoChangedDetails, bb as RecipientInfoDetails, bc as RecipientInfoDetailsChangeTypeOneOf, cz as RefundInitiated, cH as RefundedAsStoreCredit, cA as RefundedPayment, cB as RefundedPaymentKindOneOf, cK as RegularPayment, cL as RegularPaymentPaymentMethodDetailsOneOf, cC as RegularPaymentRefund, dt as RestoreInfo, R as RuleType, cv as SavedPaymentMethod, bL as SecuredMedia, bT as SetAdditionalFeesRequest, c1 as SetBillingInfoRequest, c2 as SetBillingInfoResponse, dD as SetBillingInfoResponseNonNullableFields, dn as SetBusinessLocationRequest, dp as SetBusinessLocationResponse, dH as SetBusinessLocationResponseNonNullableFields, bZ as SetBuyerInfoRequest, b_ as SetBuyerInfoResponse, dB as SetBuyerInfoResponseNonNullableFields, bO as SetDiscountsRequest, b$ as SetRecipientInfoRequest, c0 as SetRecipientInfoResponse, dC as SetRecipientInfoResponseNonNullableFields, bX as SetShippingInfoRequest, bY as SetShippingInfoResponse, dA as SetShippingInfoResponseNonNullableFields, dj as SetTaxExemptionRequest, dk as SetTaxExemptionResponse, dG as SetTaxExemptionResponseNonNullableFields, aQ as ShippingChangedDetails, aA as ShippingDetails, aB as ShippingDetailsChangeTypeOneOf, cu as ShippingInformation, ct as ShippingInformationChange, bs as ShippingOption, bw as ShippingPrice, aP as ShippingRegion, a4 as SortOrder, dc as Sorting, K as SourceType, aH as StreetAddress, F as SubscriptionFrequency, as as SubscriptionInfo, at as SubscriptionSettings, bE as SystemError, d2 as TagList, d1 as Tags, aV as TaxDetails, b6 as TaxSummary, aw as TaxableAddress, ax as TaxableAddressTaxableAddressDataOneOf, T as TaxableAddressType, cs as TotalPriceChange, cp as TranslatedValue, dh as UpdateExtendedFieldsRequest, di as UpdateExtendedFieldsResponse, bM as UpdateLineItemsRequest, c3 as UpdateShippingInfoRequest, c4 as UpdateShippingInfoResponse, c$ as V1BalanceSummary, cX as V1CreatedBy, cY as V1CreatedByStringOneOf, aD as V1DeliveryLogistics, aE as V1DeliveryLogisticsAddressOneOf, aN as V1DeliveryTimeSlot, aL as V1PickupDetails, aC as V1ShippingInformation, aO as V1ShippingPrice, bC as ValidationError, aK as VatId, V as VatType, a5 as WebhookIdentityType, W as WeightUnit, cT as WixReceipt } from './ecom-v1-draft-order-draft-orders.universal-CWd2OTQC.js';

declare function createDraftOrder$1(httpClient: HttpClient): CreateDraftOrderSignature;
interface CreateDraftOrderSignature {
    /**
     * Creates or gets a draft order.
     *
     * When passing the ID of an order that is already in draft, the existing draft order will be returned.
     * To complete a draft and update the order, call [Commit Draft Order](https://dev.wix.com/docs/rest/api-reference/wix-e-commerce/draft-orders/commit-draft-order).
     * @param - To create a draft from existing order, provide its id. Otherwise, an empty draft will be created.
     */
    (orderId: string | null): Promise<CreateDraftOrderResponse & CreateDraftOrderResponseNonNullableFields>;
}
declare function createEmptyDraftOrder$1(httpClient: HttpClient): CreateEmptyDraftOrderSignature;
interface CreateEmptyDraftOrderSignature {
    /**
     * Creates an empty draft order.
     */
    (): Promise<CreateEmptyDraftOrderResponse & CreateEmptyDraftOrderResponseNonNullableFields>;
}
declare function addLineItemsToDraftOrder$1(httpClient: HttpClient): AddLineItemsToDraftOrderSignature;
interface AddLineItemsToDraftOrderSignature {
    /**
     * Adds line items to a draft order.
     * @param - The draft order id
     */
    (draftOrderId: string, options?: AddLineItemsToDraftOrderOptions | undefined): Promise<AddLineItemsToDraftOrderResponse & AddLineItemsToDraftOrderResponseNonNullableFields>;
}
declare function updateLineItems$1(httpClient: HttpClient): UpdateLineItemsSignature;
interface UpdateLineItemsSignature {
    /**
     * Updates a draft order's line items.
     *
     * Using this API, you can update a line item's quantity, price, and description.
     * > **Notes:**
     * > + Passing a quantity of `0` will remove the line item.
     * > + Price cannot be updated for line items with `paymentOption: MEMBERSHIP`.
     * > + Quantity cannot be decreased fulfilled line items. To get fulfillment information, pass the order ID to [List Fulfillments For Single Order](https://dev.wix.com/docs/rest/api-reference/wix-e-commerce/order-fulfillments/list-fulfillments-for-single-order).
     * @param - The draft order id
     */
    (draftOrderId: string, options?: UpdateLineItemsOptions | undefined): Promise<UpdateLineItemsResponse & UpdateLineItemsResponseNonNullableFields>;
}
declare function setDiscounts$1(httpClient: HttpClient): SetDiscountsSignature;
interface SetDiscountsSignature {
    /**
     * Sets and enables or disables discounts on a draft order.
     *
     * Any discounts not passed will not change.
     * @param - The draft order id
     * @param - The discount ids to opt-in. all existing discounts not listed are to be opted-out.
     */
    (draftOrderId: string, discounts: IdAndApplied[]): Promise<SetDiscountsResponse & SetDiscountsResponseNonNullableFields>;
}
declare function createCustomDiscounts$1(httpClient: HttpClient): CreateCustomDiscountsSignature;
interface CreateCustomDiscountsSignature {
    /**
     * Adds merchant discounts to the order.
     * @param - The draft order id
     */
    (draftOrderId: string, options?: CreateCustomDiscountsOptions | undefined): Promise<CreateCustomDiscountsResponse & CreateCustomDiscountsResponseNonNullableFields>;
}
declare function deleteCustomDiscounts$1(httpClient: HttpClient): DeleteCustomDiscountsSignature;
interface DeleteCustomDiscountsSignature {
    /**
     * Remove custom discounts from the order.
     * @param - The draft order id
     * @param - The discounts to remove
     */
    (draftOrderId: string, discountIds: string[]): Promise<DeleteCustomDiscountsResponse & DeleteCustomDiscountsResponseNonNullableFields>;
}
declare function setAdditionalFees$1(httpClient: HttpClient): SetAdditionalFeesSignature;
interface SetAdditionalFeesSignature {
    /**
     * Set which additional fees existing on the draft order are to be opt-in.
     * All existing additional fees not provided on the call are opted-out.
     * @param - The draft order id
     * @param - The additional fees ids to opt-in. all existing additional fees not listed are to be opted-out
     */
    (draftOrderId: string, additionalFees: IdAndApplied[]): Promise<SetAdditionalFeesResponse & SetAdditionalFeesResponseNonNullableFields>;
}
declare function createCustomAdditionalFees$1(httpClient: HttpClient): CreateCustomAdditionalFeesSignature;
interface CreateCustomAdditionalFeesSignature {
    /**
     * Create custom additional fees to the order.
     * added additional fees are by default opted-out.
     * To opt-in them, please call SetAdditionalFees with the added additional fee ids.
     * @param - The draft order id
     */
    (draftOrderId: string, options?: CreateCustomAdditionalFeesOptions | undefined): Promise<CreateCustomAdditionalFeesResponse & CreateCustomAdditionalFeesResponseNonNullableFields>;
}
declare function deleteCustomAdditionalFees$1(httpClient: HttpClient): DeleteCustomAdditionalFeesSignature;
interface DeleteCustomAdditionalFeesSignature {
    /**
     * Remove custom additional fees from the order.
     * @param - The draft order id
     * @param - The additional fees to remove
     */
    (draftOrderId: string, customAdditionalFees: string[]): Promise<DeleteCustomAdditionalFeesResponse & DeleteCustomAdditionalFeesResponseNonNullableFields>;
}
declare function setShippingInfo$1(httpClient: HttpClient): SetShippingInfoSignature;
interface SetShippingInfoSignature {
    /**
     * Sets shipping info to a draft order.
     */
    (): Promise<void>;
}
declare function setBuyerInfo$1(httpClient: HttpClient): SetBuyerInfoSignature;
interface SetBuyerInfoSignature {
    /**
     * Sets buyer info to a draft order.
     */
    (): Promise<void>;
}
declare function setRecipientInfo$1(httpClient: HttpClient): SetRecipientInfoSignature;
interface SetRecipientInfoSignature {
    /**
     * Sets recipient info to a draft order.
     */
    (): Promise<void>;
}
declare function setBillingInfo$1(httpClient: HttpClient): SetBillingInfoSignature;
interface SetBillingInfoSignature {
    /**
     * Sets billing info to a draft order.
     */
    (): Promise<void>;
}
declare function getDraftOrder$1(httpClient: HttpClient): GetDraftOrderSignature;
interface GetDraftOrderSignature {
    /**
     * Get an order.
     * When order is in draft status, it's re-estimated and return with latest tax and totals
     * Automatic discounts and automatic additional fees will reflect the latest prices and eligibility.
     * Calculation will be based on current draft order content - items, shipping info and eligible discounts and additional fees.
     * When order is in committed status, it's returned with it's calculation at the moment it was committed.
     * @param - The draft order id
     */
    (draftOrderId: string): Promise<GetDraftOrderResponse & GetDraftOrderResponseNonNullableFields>;
}
declare function getOrderDraftabilityStatus$1(httpClient: HttpClient): GetOrderDraftabilityStatusSignature;
interface GetOrderDraftabilityStatusSignature {
    /**
     * Checks whether a draft can be created for this order
     * @param - Order ID.
     */
    (orderId: string): Promise<GetOrderDraftabilityStatusResponse & GetOrderDraftabilityStatusResponseNonNullableFields>;
}
declare function commitDraftOrder$1(httpClient: HttpClient): CommitDraftOrderSignature;
interface CommitDraftOrderSignature {
    /**
     * Commit latest changes to the baseline order and control what side-effects will be applied.
     * Commit cannot be undone or reverted.
     * Order-edit become closed for editing, however it's kept for reference and can be retrieved.
     * @param - The draft order id
     */
    (draftOrderId: string, options?: CommitDraftOrderOptions | undefined): Promise<CommitDraftOrderResponse & CommitDraftOrderResponseNonNullableFields>;
}
declare function createOrderFromDraft$1(httpClient: HttpClient): CreateOrderFromDraftSignature;
interface CreateOrderFromDraftSignature {
    /**
     * Create new order and control what side-effects will be applied
     * Commit cannot be undone or reverted.
     * Order-edit become closed for editing, however it's kept for reference and can be retrieved.
     */
    (): Promise<void>;
}
declare function deleteDraftOrder$1(httpClient: HttpClient): DeleteDraftOrderSignature;
interface DeleteDraftOrderSignature {
    /**
     * Delete order-edit entity with all pending changes.
     * Order-edit in status 'COMMITTED' cannot be deleted.
     * @param - The draft order id
     */
    (draftOrderId: string): Promise<void>;
}
declare function queryDraftOrders$1(httpClient: HttpClient): QueryDraftOrdersSignature;
interface QueryDraftOrdersSignature {
    /**
     * Retrieves a list of draft orders given the provided paging, filtering, and sorting. Up to 100 draft orders can be returned per request.
     *
     * Refer to the table below for supported fields, filters, and sorting:
     * | **Property**   | **Supported Filters & Sorting**                                                 | **Sortable** |
     * |----------------|---------------------------------------------------------------------------------|--------------|
     * | `_createdDate` | `eq()`, `ne()`, `exists()`, `in()`, `hasSome()`, `lt()`, `le()`, `gt()`, `ge()` | Sortable     |
     * | `_updatedDate` | `eq()`, `ne()`, `exists()`, `in()`, `hasSome()`, `lt()`, `le()`, `gt()`, `ge()` | Sortable     |
     * | `status`       | `eq()`, `ne()`, `exists()`, `in()`, `hasSome()`                                 | Sortable     |
     * | `orderId`      | `eq()`, `ne()`, `exists()`, `in()`, `hasSome()`, `startsWith()`                 |              |
     * To learn how to query draft orders, see [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language).
     */
    (): DraftOrdersQueryBuilder;
}
declare function setTaxExemption$1(httpClient: HttpClient): SetTaxExemptionSignature;
interface SetTaxExemptionSignature {
    /**
     * Sets tax exemption to a draft order.
     */
    (): Promise<void>;
}
/** @internal */
declare function setBusinessLocation$1(httpClient: HttpClient): SetBusinessLocationSignature;
interface SetBusinessLocationSignature {
    /**
     * Sets business location to a draft order.
     */
    (): Promise<void>;
}

declare const createDraftOrder: MaybeContext<BuildRESTFunction<typeof createDraftOrder$1> & typeof createDraftOrder$1>;
declare const createEmptyDraftOrder: MaybeContext<BuildRESTFunction<typeof createEmptyDraftOrder$1> & typeof createEmptyDraftOrder$1>;
declare const addLineItemsToDraftOrder: MaybeContext<BuildRESTFunction<typeof addLineItemsToDraftOrder$1> & typeof addLineItemsToDraftOrder$1>;
declare const updateLineItems: MaybeContext<BuildRESTFunction<typeof updateLineItems$1> & typeof updateLineItems$1>;
declare const setDiscounts: MaybeContext<BuildRESTFunction<typeof setDiscounts$1> & typeof setDiscounts$1>;
declare const createCustomDiscounts: MaybeContext<BuildRESTFunction<typeof createCustomDiscounts$1> & typeof createCustomDiscounts$1>;
declare const deleteCustomDiscounts: MaybeContext<BuildRESTFunction<typeof deleteCustomDiscounts$1> & typeof deleteCustomDiscounts$1>;
declare const setAdditionalFees: MaybeContext<BuildRESTFunction<typeof setAdditionalFees$1> & typeof setAdditionalFees$1>;
declare const createCustomAdditionalFees: MaybeContext<BuildRESTFunction<typeof createCustomAdditionalFees$1> & typeof createCustomAdditionalFees$1>;
declare const deleteCustomAdditionalFees: MaybeContext<BuildRESTFunction<typeof deleteCustomAdditionalFees$1> & typeof deleteCustomAdditionalFees$1>;
declare const setShippingInfo: MaybeContext<BuildRESTFunction<typeof setShippingInfo$1> & typeof setShippingInfo$1>;
declare const setBuyerInfo: MaybeContext<BuildRESTFunction<typeof setBuyerInfo$1> & typeof setBuyerInfo$1>;
declare const setRecipientInfo: MaybeContext<BuildRESTFunction<typeof setRecipientInfo$1> & typeof setRecipientInfo$1>;
declare const setBillingInfo: MaybeContext<BuildRESTFunction<typeof setBillingInfo$1> & typeof setBillingInfo$1>;
declare const getDraftOrder: MaybeContext<BuildRESTFunction<typeof getDraftOrder$1> & typeof getDraftOrder$1>;
declare const getOrderDraftabilityStatus: MaybeContext<BuildRESTFunction<typeof getOrderDraftabilityStatus$1> & typeof getOrderDraftabilityStatus$1>;
declare const commitDraftOrder: MaybeContext<BuildRESTFunction<typeof commitDraftOrder$1> & typeof commitDraftOrder$1>;
declare const createOrderFromDraft: MaybeContext<BuildRESTFunction<typeof createOrderFromDraft$1> & typeof createOrderFromDraft$1>;
declare const deleteDraftOrder: MaybeContext<BuildRESTFunction<typeof deleteDraftOrder$1> & typeof deleteDraftOrder$1>;
declare const queryDraftOrders: MaybeContext<BuildRESTFunction<typeof queryDraftOrders$1> & typeof queryDraftOrders$1>;
declare const setTaxExemption: MaybeContext<BuildRESTFunction<typeof setTaxExemption$1> & typeof setTaxExemption$1>;
/** @internal */
declare const setBusinessLocation: MaybeContext<BuildRESTFunction<typeof setBusinessLocation$1> & typeof setBusinessLocation$1>;

export { AddLineItemsToDraftOrderOptions, AddLineItemsToDraftOrderResponse, AddLineItemsToDraftOrderResponseNonNullableFields, CommitDraftOrderOptions, CommitDraftOrderResponse, CommitDraftOrderResponseNonNullableFields, CreateCustomAdditionalFeesOptions, CreateCustomAdditionalFeesResponse, CreateCustomAdditionalFeesResponseNonNullableFields, CreateCustomDiscountsOptions, CreateCustomDiscountsResponse, CreateCustomDiscountsResponseNonNullableFields, CreateDraftOrderResponse, CreateDraftOrderResponseNonNullableFields, CreateEmptyDraftOrderResponse, CreateEmptyDraftOrderResponseNonNullableFields, DeleteCustomAdditionalFeesResponse, DeleteCustomAdditionalFeesResponseNonNullableFields, DeleteCustomDiscountsResponse, DeleteCustomDiscountsResponseNonNullableFields, DraftOrdersQueryBuilder, GetDraftOrderResponse, GetDraftOrderResponseNonNullableFields, GetOrderDraftabilityStatusResponse, GetOrderDraftabilityStatusResponseNonNullableFields, IdAndApplied, SetAdditionalFeesResponse, SetAdditionalFeesResponseNonNullableFields, SetDiscountsResponse, SetDiscountsResponseNonNullableFields, UpdateLineItemsOptions, UpdateLineItemsResponse, UpdateLineItemsResponseNonNullableFields, addLineItemsToDraftOrder, commitDraftOrder, createCustomAdditionalFees, createCustomDiscounts, createDraftOrder, createEmptyDraftOrder, createOrderFromDraft, deleteCustomAdditionalFees, deleteCustomDiscounts, deleteDraftOrder, getDraftOrder, getOrderDraftabilityStatus, queryDraftOrders, setAdditionalFees, setBillingInfo, setBusinessLocation, setBuyerInfo, setDiscounts, setRecipientInfo, setShippingInfo, setTaxExemption, updateLineItems };
